Result interface definition for Human library

Contains all possible detection results

### Hierarchy

- Result

## Index

### Properties

- body
- canvas
- face
- gesture
- hand
- object
- performance
- persons
- timestamp

## Properties

### body

body: Body[]

Body: detection & analysis results

### Optional canvas

canvas: HTMLCanvasElement | OffscreenCanvas

optional processed canvas that can be used to draw input on screen

### face

face: Face[]

Face: detection & analysis results

### gesture

gesture: Gesture[]

Gesture: detection & analysis results

### hand

hand: Hand[]

Hand: detection & analysis results

### object

object: Item[]

{@link Object}: detection & analysis results

### performance

performance: Record<string, unknown>

global performance object with timing values for each operation

### persons

persons: Person[]

getter property that returns unified persons object

### Readonly timestamp

timestamp: number

timestamp of detection representing the milliseconds elapsed since the UNIX epoch